#ifndef SHARED_SURVEY_DELIVER_LIST_H
#define SHARED_SURVEY_DELIVER_LIST_H
#include "../survey.h"

typedef struct deliver_info_list
  {
      INDIV_SURVEY_RECORD record;
      struct deliver_info_list *next;
  }SURVEY_DELIVER_INFO_LIST;

SURVEY_DELIVER_INFO_LIST *
build_survey_info_list(const char *file);

void   free_survey_deliver_info_list(SURVEY_DELIVER_INFO_LIST *head);

int valid_survey_taker(const char *file, const char *count, int *mode, int *save_course_info);

void remove_this_survey_from_deliver_info(const char *username, const char *count);
#endif
